import React from "react";
import { Movie } from "./movie-wall";
import tmdb from "./tmdb";
export interface SidebarProps extends React.ComponentPropsWithRef<"div"> {
  movie: Movie;
}
export function Sidebar({ movie }: SidebarProps) {
  const style = {
    backgroundImage: tmdb.makeBgImgUrl(movie.backdrop_path ?? "")
  }
  return <div id="sidebar" style={style}>
    <h1>{movie?.title ?? "loading"}</h1>
    <p>{movie?.overview ?? "loading"}</p>
  </div>


}
